%define build_mdk82 %(if [ `awk '{print $4}' /etc/mandrake-release` = 8.2 ];then echo 1; else echo 0; fi)
%define build_mdk90 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.0 ];then echo 1; else echo 0; fi)
%define build_mdk91 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.1 ];then echo 1; else echo 0; fi)

%define name	mjpegtools
%define version	1.6.1
%define release	1mdk
%define major	0
%define libname	lib%{name}%{major}
	
Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPL
Url:		http://mjpeg.sourceforge.net
Group:		Video
Source:		%{name}-%{version}.tar.bz2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:  XFree86-devel
BuildRequires:  SDL-devel
BuildRequires:  libgtk+-devel
Buildrequires:	libavifile-devel >= 0.6
%if %build_mdk82
Buildrequires:	libdv-devel = 0.9
%else
Buildrequires:	libdv2-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n %{libname}
Summary:    Main library for for %{name}
Group:      System/Libraries
Provides:   %{name}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q

%if %build_mdk90 || %build_mdk91
#quick hack to fix struct statfs problem
mv lavtools/liblavrec.c lavtools/liblavrec.c.orig
mv lavtools/liblavplay.c lavtools/liblavplay.c.orig
mv lavtools/testrec.c lavtools/testrec.c.orig
echo "#define _I386_STATFS_H" > lavtools/liblavrec.c
echo "#define _I386_STATFS_H" > lavtools/liblavplay.c
echo "#define _I386_STATFS_H" > lavtools/testrec.c
cat lavtools/liblavrec.c.orig >> lavtools/liblavrec.c
cat lavtools/liblavplay.c.orig >> lavtools/liblavplay.c
cat lavtools/testrec.c.orig >> lavtools/testrec.c
%endif

%build
%configure2_5x --disable-cmov-extension --disable-simd-accel
%make
perl -p -i -e 's/\-\"toolame\"/\-\"mp2enc\"/g' scripts/lav2mpeg

%install
%makeinstall

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog CHANGES COPYING HINTS INSTALL NEWS PLANS README* TODO
%_bindir/divxdec
%_bindir/glav
%_bindir/jpeg*
%_bindir/lav*
%_bindir/matte*
%_bindir/mp*
%_bindir/ppm*
%_bindir/test*
%_bindir/trans*
%_bindir/y*
%_bindir/multiblend.flt
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/mjpegtools-config
%_mandir/man5/yuv4mpeg.5.bz2
%{_includedir}/mjpegtools
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-6mdk
- use autoconf 2.5 macro
- add missing yuv4mpeg man page

* Fri Oct 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-5mdk
- from Austin Acton <aacton@yorku.ca> :
	- use mp2enc instead of toolame for mp2 audio

* Thu Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-4mdk
- fix file list
- from Austin Acton <aacton@yorku.ca> :
	- add several missing binaries

* Wed Oct 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-3mdk
- from Austin Acton <aacton@yorku.ca> :
	- avoid use of libdv1-compat on 9.0+, use libdv2

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-2mdk
- from Austin Acton <aacton@yorku.ca> :
	- add hack to build on 9.0 and cooker (thanks to Narfi Stefansson <narfi@cs.wisc.edu>)

* Tue Jul 23 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-1mdk
- 1.6.0 final

* Mon Apr 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6.0-0.beta2.1mdk
- first mdk release, using a spec stolen from Ronald Bultje <rbultje@ronald.bitfreak.net>
